%define major 1
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d
%define sdevname %mklibname %{name} -d -s

Summary:	Linux Key Management Utilities
Name:		keyutils
Version:	1.5.9
Release:	3
License:	GPLv2+ and LGPLv2+
Group:		System/Base
Url:		http://people.redhat.com/~dhowells/keyutils/
Source0:	http://people.redhat.com/~dhowells/keyutils/%{name}-%{version}.tar.bz2

%description
Utilities to control the kernel key management facility and to provide
a mechanism by which the kernel call back to userspace to get a key
instantiated.

%files
%doc README LICENCE.GPL LICENCE.LGPL
%config(noreplace) %{_sysconfdir}/request-key.conf
%{_bindir}/keyctl
%{_sbindir}/request-key
%{_sbindir}/key.dns_resolver
%{_mandir}/man1/keyctl.1.*
%{_mandir}/man5/request-key.conf.5.*
%{_mandir}/man8/request-key.8.*
%{_mandir}/man8/key.dns_resolver.8.*
%{_datadir}/%{name}/request-key-debug.sh

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	Linux Key Management Utilities
Group:		System/Libraries

%description -n %{libname}
Library to control the kernel key management facility and to provide
a mechanism by which the kernel call back to userspace to get a key
instantiated.

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Developement files for %{libname}
Group:		Development/Other
Requires:	%{libname} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}
Provides:	lib%{name}-devel = %{EVRD}

%description -n %{devname}
Developement files for %{libname}.

%files -n %{devname}
%{_includedir}/%{name}.h
%{_libdir}/lib%{name}.so
%{_mandir}/man3/*.3.*
%{_mandir}/man7/*.7.*

#----------------------------------------------------------------------------

%package -n %{sdevname}
Summary:	Key utilities static library
Group:		Development/Other
Requires:	%{devname} = %{EVRD}

%description -n %{sdevname}
This package provides %{name} static library.

%files -n %{sdevname}
%{_libdir}/lib%{name}.a

#----------------------------------------------------------------------------

%prep
%setup -q

%build
%make \
	ETCDIR=%{_sysconfdir} \
	BINDIR=%{_bindir} \
	SBINDIR=%{_sbindir} \
	LIBDIR=%{_libdir} \
	USRLIBDIR=%{_libdir} \
	SHAREDIR=%{_datadir}/%{name} \
	INCLUDEDIR=%{_includedir} \
	CFLAGS='%{optflags}'

%install
make ETCDIR=%{_sysconfdir} \
	BINDIR=%{_bindir} \
	SBINDIR=%{_sbindir} \
	LIBDIR=%{_libdir} \
	USRLIBDIR=%{_libdir} \
	SHAREDIR=%{_datadir}/%{name} \
	INCLUDEDIR=%{_includedir} \
	DESTDIR=%{buildroot} \
	install

pushd %{buildroot}%{_libdir}
    rm -f lib%{name}.so
    ln -s lib%{name}.so.%{major} lib%{name}.so
popd

%changelog

* Fri Feb 05 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.5.9-3
- (4b40383) Use relative path when symlinking development library to generate devel(libkeyutils) Provides


